Get a funding account
curl --request GET \
--url https://api.daya.co/v1/funding-accounts/{id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/funding-accounts/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/funding-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Funding Accounts
Get a funding account
Retrieve a funding account by ID
GET
/
v1
/
funding-accounts
/
{id}
Get a funding account
Overview
Get one funding account for the authenticated merchant.Authentication
Your merchant API key
Path Parameters
Funding account ID.
Request Example
curl --request GET \
--url https://api.daya.co/v1/funding-accounts/750e8400-e29b-41d4-a716-446655440000 \
--header 'X-Api-Key: YOUR_API_KEY'
Response
Returns the funding account object, including payment details, the active settlement destination, and the configureddeveloper_fee.percentage.
For NGN_VIRTUAL_ACCOUNT, the NGN bank account details are in instructions:
{
"rail": "NGN_VIRTUAL_ACCOUNT",
"currency": "NGN",
"developer_fee": {
"percentage": "2.5"
},
"instructions": [
{
"type": "NGN_VIRTUAL_ACCOUNT",
"status": "ACTIVE",
"bank_name": "Wema Bank",
"bank_code": "035",
"account_number": "1234567890",
"account_name": "Daya - Ada Lovelace",
"currency": "NGN"
}
]
}
⌘I